Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452964 - unable to copy 4GB via gvfsd-dav
Summary: unable to copy 4GB via gvfsd-dav
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 09:47 UTC by Timon
Modified: 2015-03-03 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:21:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 225615 None None None Never

Description Timon 2008-06-26 09:47:35 UTC
gvfs-0.2.4-5.fc9.i386
/usr/libexec/gvfsd-dav
when trying to copy 4GB of data from remote computer (via gnome share) it hangs
near 200mb, then eats 42% of memory (~400MB) and freeze.
strace shows:
[timon@localhost ~]$ strace -p 13652
Process 13652 attached - interrupt to quit
restart_syscall(<... resuming interrupted call ...>

Comment 1 Tomáš Bžatek 2008-06-26 13:10:50 UTC
GLib-ERROR **: gmem.c:175: failed to allocate 1073741824 bytes
aborting...

Program received signal SIGABRT, Aborted.

...
#4  0x4b8e53c9 in IA__g_log (log_domain=0x4b92dd66 "GLib",
log_level=G_LOG_LEVEL_ERROR, 
    format=0x4b934e6c "%s: failed to allocate %u bytes") at gmessages.c:517
#5  0x4b8e3ef3 in IA__g_realloc (mem=0x0, n_bytes=1073741824) at gmem.c:174
#6  0x4b8b6b60 in g_array_maybe_expand (array=0x8087008, len=<value optimized
out>) at garray.c:339
#7  0x4b8b73c9 in IA__g_array_append_vals (farray=0x8087008, data=0x8089f30,
len=65536) at garray.c:132
#8  0x4b8b7450 in IA__g_byte_array_append (array=0x8087008, data=0x8089f30 "",
len=65536) at garray.c:653
#9  0x080503d3 in soup_output_stream_write_async (stream=0x807cdf0,
buffer=0x8089f30, count=65536, io_priority=0, 
    cancellable=0x8087800, callback=0x4bdc9690 <async_ready_callback_wrapper>,
user_data=0x807f520) at soup-output-stream.c:317
#10 0x4bdca236 in IA__g_output_stream_write_async (stream=0x807cdf0,
buffer=0x8089f30, count=65536, io_priority=0, 
    cancellable=0x8087800, callback=0x80523f0 <write_ready>,
user_data=0x807f520) at goutputstream.c:666
#11 0x080523e3 in try_write (backend=0x8074808, job=0x807f520, handle=0x807cdf0,
buffer=0x8089f30 "", buffer_size=65536)
    at gvfsbackenddav.c:1914
#12 0x0805c298 in try (job=0x807f520) at gvfsjobwrite.c:140
#13 0x080589dd in g_vfs_job_try (job=0x807f520) at gvfsjob.c:216
#14 0x08055322 in g_vfs_daemon_queue_job (daemon=0x8072a00, job=0x807f520) at
gvfsdaemon.c:453
#15 0x08055394 in job_source_new_job_callback (job_source=0x8086870,
job=0x807f520, daemon=0x8072a00) at gvfsdaemon.c:320
...


It's a known libsoup issue:
https://bugs.edge.launchpad.net/ubuntu/+source/gvfs/+bug/225615

Comment 2 Bug Zapper 2009-06-10 01:47:47 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 17:21:42 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.